## org.python.core
Class PyTuple

    java.lang.Object
      |
      +--org.python.core.PyObject
            |
            +--org.python.core.PySequence
                  |
                  +--org.python.core.PyTuple

All Implemented Interfaces:
  ClassDictInit, java.io.Serializable

public class PyTuple
extends PySequence
implements ClassDictInit

A builtin python tuple.

See Also:
  Serialized Form

Field Summary
`PyObject[]` `list`

Fields inherited from class org.python.core.PyObject
`__class__`

Constructor Summary
`PyTuple()`
`PyTuple(PyObject[] elements)`

Method Summary
`PyObject` `__add__(PyObject generic_other)` Equivalent to the standard Python __add__ method
`int` `__len__()` Equivalent to the standard Python __len__ method.
`static void` `classDictInit(PyObject dict)` Internal use only.
`int` `hashCode()`
`java.lang.String` `safeRepr()`
`java.lang.String` `toString()`

Methods inherited from class org.python.core.PySequence
`__delitem__, __delslice__, __eq__, __finditem__, __finditem__, __ge__, __getitem__, __getslice__, __gt__, __le__, __lt__, __ne__, __nonzero__, __setitem__, __setitem__, __setslice__, __tojava__, isMappingType, isNumberType`

Methods inherited from class org.python.core.PyObject

`__abs__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __cmp__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delattr__, __delitem__, __delslice__, __dir__, __div__, __divmod__, __findattr__, __findattr__, __finditem__, __float__, __getattr__, __getattr__, __getitem__, __getslice__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ilshift__, __imod__, __imul__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __ixor__, __long__, __lshift__, __mod__, __mul__, __neg__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __repr__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rxor__, __setattr__, __setattr__, __setitem__, __setslice__, __str__, __sub__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _dodel, _doget, _doget, _doset, _eq, _ge, _gt, _in, _is, _isnot, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _xor, equals, invoke, invoke, invoke, invoke, invoke, isCallable, isSequenceType`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### list

    public PyObject[] list

Constructor Detail

### PyTuple

    public PyTuple()

### PyTuple

    public PyTuple(PyObject[] elements)

Method Detail

### classDictInit

    public static void classDictInit(PyObject dict)

  Internal use only. Do not call this method explicit.

### safeRepr

    public java.lang.String safeRepr()
                              throws PyIgnoreMethodTag

  Overrides:
    `safeRepr` in class `PyObject`
    `PyIgnoreMethodTag`

### __len__

    public int __len__()

  Description copied from class: `PyObject`
  Equivalent to the standard Python __len__ method. Part of the mapping discipline.

  Overrides:
    `__len__` in class `PyObject`
  Returns:
    the length of the object

### __add__

    public PyObject __add__(PyObject generic_other)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __add__ method

  Overrides:
    `__add__` in class `PyObject`
  Parameters:
    `generic_other` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the add, or null if this operation is not defined

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `PyObject`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Jython homepage